Bug 119348 - (TBb91cbdac) Conf.py:371:__setitem__:TypeError: expected string or buffer
Conf.py:371:__setitem__:TypeError: expected string or buffer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 13:37 EST by David Hollis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 14:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hollis 2004-03-29 13:37:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
If an IPSEC connection (Host2Host VPN in this case) is created using
the wizard but local or remote gateways are not specified (don't
appear to even be used by the ifup-ipsec script anyhow), saving the
configuration blows up with:

Component: system-config-network
Version: 1.3.16
Summary: TBb91cbdac Conf.py:371:__setitem__:TypeError: expected string
or buffer
Traceback (most recent call last):
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 784, in on_applyButton_clicked
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 372, in save
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py",
line 412, in saveIPsecs
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsecList.py",
line 57, in save
  File
"/usr/src/build/377922-noarch/install/usr/share/system-config-network/netconfpkg/NCIPsec.py",
line 126, in save
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 371, in
__setitem__
    if self.quotereg.search(value):
TypeError: expected string or buffer

Local variables in innermost frame:
varname: SRCGW
self: <netconfpkg.NCIPsec.ConfIPsec instance at 0xf697efac>
place: 0
value: None
missing: 1





If I specify a bogus value (i.e., 1.1.1.1), the save completes
successfully.

Version-Release number of selected component (if applicable):
1.3.16-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-network
2. Create an IPSEC connection but do not specify gateway addresses
3. Attempt to save the resulting configuration
    

Actual Results:  system-config-network blows up

Expected Results:  Configuration should have been saved

Additional info:
Comment 1 Harald Hoyer 2004-03-30 02:56:37 EST
If you want a "Host2Host VPN", you are not asked for any Gateway???
Second page of the wizard lets you specify the type of the connection.
Comment 2 David Hollis 2004-03-30 06:44:01 EST
Big Oops!  Net2Net VPN asks for the gateway but does not use it.  That
is what I was attempting to create, not Host2Host.
Comment 3 Harald Hoyer 2004-03-30 07:12:26 EST
ok... thx

Note You need to log in before you can comment on or make changes to this bug.